Bug 180596 - Chattr command doesn't provide expected exit code in case of failure
Chattr command doesn't provide expected exit code in case of failure
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 01:56 EST by Prahlad
Modified: 2015-01-07 19:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch sent upstream (3.66 KB, patch)
2007-09-20 13:59 EDT, Eric Sandeen
no flags Details | Diff

  None (edit)
Description Prahlad 2006-02-09 01:56:06 EST
Description of problem: 
Using chattr some kind of immutable chars can be added.
This feature work as expected, but effect is different in case of cheking its
exit code.

Version-Release number of selected component (if applicable):
e2fsprogs-1.32-15

How reproducible:   

Steps to Reproduce:
[Intentionally did chattr from normal 'test' user]
1. $ ls -l /bin/df
-rwxr-xr-x    1 root     root        28973 Oct 27 23:09 /bin/df
2. $ chattr +i /bin/df
chattr: Operation not permitted while setting flags on /bin/df
3. $ echo $?
0
  
Actual results:

Exit code is 0.

Expected results:

Exit code must be non-zero in case of failure.

Additional info: Hope to see the resolution in your further release.
Comment 1 Eric Sandeen 2007-09-20 13:59:49 EDT
Created attachment 201071 [details]
patch sent upstream

Sent this patch upstream for comment.

Sorry about the long delay...
Comment 2 RHEL Product and Program Management 2007-10-19 14:47:41 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.
Comment 3 Eric Sandeen 2010-06-22 11:11:22 EDT
FWIW, fix did get merged upstream:

commit e68594d2376afd10e03b440b4bc288508ad13aa2
Author: Theodore Ts'o <tytso@mit.edu>
Date:   Mon Oct 22 08:51:39 2007 -0400

    chattr: provide an exit code in case of failure and add -f flag
    
    Fix chattr so that if there are errors, it will report it via a
    non-zero exit code.  It will now explicitly give errors when
    attempting to set files that are not files or directories (which are
    currently not supported under Linux).  The -f flag will suppress error
    messages from being printed, although the exit status will still be
    non-zero.
    
    Addresses-Red-Hat-Bugzilla: #180596
    
    Signed-off-by: "Theodore Ts'o" <tytso@mit.edu>
    Signed-off-by: Eric Sandeen <sandeen@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.